import * as cdk from 'aws-cdk-lib';
import * as iam from 'aws-cdk-lib/aws-iam';
import { TransformerContext } from '../transformer-context';
import { SyncConfig, SyncConfigLambda } from '../config/transformer-config';
import { TransformerContextProvider, TransformerSchemaVisitStepContextProvider, TransformerTransformSchemaStepContextProvider } from '@aws-amplify/graphql-transformer-interfaces';
type DeltaSyncConfig = {
    DeltaSyncTableName: any;
    DeltaSyncTableTTL: number;
    BaseTableTTL: number;
};
export declare function createSyncTable(context: TransformerContext): void;
export declare function syncDataSourceConfig(): DeltaSyncConfig;
export declare function validateResolverConfigForType(ctx: TransformerSchemaVisitStepContextProvider, typeName: string): void;
export declare function getSyncConfig(ctx: TransformerTransformSchemaStepContextProvider, typeName: string): SyncConfig | undefined;
export declare function isLambdaSyncConfig(syncConfig: SyncConfig): syncConfig is SyncConfigLambda;
export declare function createSyncLambdaIAMPolicy(context: TransformerContextProvider, stack: cdk.Stack, name: string, region?: string): iam.Policy;
export {};
//# sourceMappingURL=sync-utils.d.ts.map